# Contribution

Development happens at [git.framasoft](https://git.framasoft.org/python-graphiti-love-story/AjguGraphDB). Please
have a look at the roadmap to know where we are going. If you wish to work on a particular thing, send me a [mail](mailto:amirouche@hypermove).

## Roadmap ##


- **Add most popular graph algorithms**
- Add multithread/multiprocess with pypy
- Add load scripts for popular datasets
- Add the ability to override the default `Vertex` and `Edge` classes

### Backends ###

- **Add [wiredtiger](http://wiredtiger.com/)**
- **Add a memory storage**
- Add transactional git storage
- Add [acid](http://acid.readthedocs.org/en/latest/)

### Moar ###

The other purpose of Ajgu is to be able to create *meta-graph* or *graph-proxy* where some part of the
graph are computed on the fly and cached in the database. This can be done at the application level, but
not so much when you want your application data to be always fresh. If the data is required by several
other applications, it leads to complicated problems that *could* be solved directly in the graph
.
